Last Comment Bug 35995 - (wml) WML (Wireless Markup Language) support
(wml)
: WML (Wireless Markup Language) support
Status: NEW
parity-opera
: helpwanted
Product: Core
Classification: Components
Component: XML (show other bugs)
: Trunk
: All All
: P3 enhancement with 22 votes (vote)
: ---
Assigned To: Manko
:
Mentors:
http://www.wapforum.org/what/technica...
: 175355 269681 (view as bug list)
Depends on: 194351 wbmp
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-16 13:04 PDT by Cesar Eduardo Barros
Modified: 2016-05-05 03:49 PDT (History)
47 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Draft XSLT to transform WML into XHTML (3.98 KB, text/plain)
2002-11-25 09:50 PST, Manko
no flags Details
Draft XSLT, v. 0.011 (4.16 KB, text/plain)
2002-11-26 00:06 PST, Manko
no flags Details
Draft XSLT, v. 0.012 (4.16 KB, text/plain)
2002-11-26 01:12 PST, Manko
no flags Details
wml.xsl v. 0.05. Draft XSL with necessary JS and CSS binded (6.78 KB, text/plain)
2002-11-29 01:32 PST, Manko
no flags Details
wml.js v. 0.05 (4.21 KB, text/javascript)
2002-11-29 01:34 PST, Manko
no flags Details
wml.css v. 0.05 (2.05 KB, text/css)
2002-11-29 01:36 PST, Manko
no flags Details
wml.xsl v. 0.051 (6.78 KB, text/plain)
2002-11-29 01:54 PST, Manko
no flags Details
wml.js v. 0.06 (4.55 KB, text/javascript)
2002-12-05 01:36 PST, Manko
no flags Details
wml.css v. 0.06 (2.23 KB, text/css)
2002-12-05 01:37 PST, Manko
no flags Details
wml.xsl v. 0.06 (7.18 KB, text/plain)
2002-12-05 01:48 PST, Manko
no flags Details
wml.xsl v. 0.061 (7.18 KB, text/plain)
2002-12-05 05:00 PST, Manko
no flags Details
wml.css v. 0.07 (3.41 KB, text/css)
2002-12-06 07:19 PST, Manko
no flags Details
wml.js v. 0.07 (5.29 KB, text/javascript)
2002-12-06 07:23 PST, Manko
no flags Details
wml.xsl v. 0.07 (13.24 KB, text/plain)
2002-12-06 07:25 PST, Manko
no flags Details
wml.xsl v. 0.071 (13.59 KB, text/xml)
2002-12-06 07:42 PST, Manko
no flags Details
Screenshot with buttons (33.08 KB, image/png)
2002-12-06 08:09 PST, Manko
no flags Details
Screeshot from Tinderbox WML page. (18.15 KB, image/png)
2002-12-09 00:27 PST, Manko
no flags Details
wml.xsl v. 0.072 (13.60 KB, text/xml)
2003-12-04 05:01 PST, Manko
no flags Details
wml.css v. 0.072 (3.65 KB, text/css)
2003-12-04 05:05 PST, Manko
no flags Details

Description Cesar Eduardo Barros 2000-04-16 13:04:14 PDT
It would be great to have WML support in mozilla (it would allow testing of WML
pages without needing special hardware). Docs can be found at www.wapforum.org.
Comment 1 Sean Richardson 2000-04-16 13:49:06 PDT
The docs at WAP Forum for the Wireless Markup Language Specification are at
http://www.wapforum.org/what/technical.htm -- currently
http://www1.wapforum.org/tech/terms.asp?doc=SPEC-WML-19991104.pdf

Are there any HTML docs?

Comment 2 Cesar Eduardo Barros 2000-04-16 16:12:06 PDT
AFAIK no :(

Comment 3 Doron Rosenberg (IBM) 2000-04-21 07:36:03 PDT
I doubt mozilla needs this, as there are no plans for a Cellphone conversion ;)


Comment 4 Asa Dotzler [:asa] 2000-06-06 17:21:39 PDT
Sorry for the spam.  New QA Contact for Browser General.  Thanks for your help
Joseph (good luck with the new job) and welcome aboard Doron Rosenberg
Comment 5 Asa Dotzler [:asa] 2000-06-07 19:30:42 PDT
Yes, this might be cool.  Confirming.  Assigning to nobody@mozilla.org until 
someone steps up to impliment it
Comment 6 Cesar Eduardo Barros 2000-12-12 18:20:37 PST
How about P5, Future? (/me doubts he can change this but tries anyway)
Comment 7 Christopher Hoess (gone) 2001-08-14 13:23:46 PDT
Since WML is an XML dialect, isn't it theoretically possible to write a
stylesheet like html.css for it and use that to render such documents properly?
 I'm not sure this is really such a good idea, though. I don't think that you
can really achieve the look and feel of WML-on-a-phone in a browser, and that
implementing this will give designers false confidence as to the usability of
their work.  YMMW, however.
Comment 8 Henrik Gemal 2001-08-23 14:41:11 PDT
Opesa has WML support and uses both a stylesheet and special code AFAIK

btw: removing RFE since Severity already shows that it's a Enhancement...:)
Comment 9 Jens Martin Schlatter 2002-04-20 06:23:05 PDT
Would be nice!
Comment 10 Jens Martin Schlatter 2002-08-22 11:36:06 PDT
For those that have not yet seen WML here is an example:

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN"
"http://www.wapforum.org/DTD/wml_1.1.xml">
<wml>

<card title="Homepage of JMS">
 <p>Hello World!</p>
</card>

</wml>
Comment 11 GAThrawn 2002-09-13 03:37:14 PDT
Note that the applicable MIME types and file formats for WAP support are:

WML files should normally be served as: "text/vnd.wap.wml"

The WAP image format is WBMP, this is normally served as: "image/vnd.wap.wbmp"

Additional MIME types (but less usually used than the above and for more obscure
files that may not be needed for basic WAP support) are:

For .WMLC files: "application/vnd.wap.wmlc"
For .WMLS files: "text/vnd.wap.wmlscript"
For .WMLSC files: "application/vnd.wap.wmlscriptc"
Comment 12 Matthias Versen [:Matti] 2002-10-18 12:23:27 PDT
*** Bug 175355 has been marked as a duplicate of this bug. ***
Comment 13 Manko 2002-11-25 09:49:02 PST
CSS is not a good idea to show WML in Mozilla because WML has many specific
abilities such as global variables which can be changed by user.

I have developed a draft XSLT to transform WML pages to XHTML. Can everybody
test it and help me to improve it and write JavaScript to add interactive abilities?
Comment 14 Manko 2002-11-25 09:50:19 PST
Created attachment 107367 [details]
Draft XSLT to transform WML into XHTML
Comment 15 Jens Martin Schlatter 2002-11-25 15:14:52 PST
I tried it with that wml file:

<?xml version="1.0" encoding="iso-8859-1"?>
<?xml-stylesheet href="wml.xsl" type="text/xsl"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN"
"http://www.wapforum.org/DTD/wml_1.1.xml">
<wml>
<card title="Homepage of JMS">
 <p>Hello World!</p>
 </card>
</wml>

I had to rename it to .xml to make it work.
I got an error message that the file ....ontimer... was not found.
Comment 16 Manko 2002-11-26 00:04:31 PST
The problem was located in <meta http-equiv="Refresh"> tag in XSLT. Mozilla
understands <meta> in XSLT as real meta instruction and attempts to redirect.

This is a bug in Mozilla.

Easy workaround is substituting <meta> by <xsl:element name="meta">. I have this
done.

Another comment:

WML has a "cards" conception. Card may be internal screen (and user may navigate
it by pressing a links, waiting a timeout etc.) and may has redirection to
external pages.

Opera emulates cards nearly exactly as in cellular phone, but I emulate internal
cards as <div>'s divided by <hr />. I think this is better for reading on big
screen :) and is simpler for XSLT. External redirection is being emulated via
<meta http-equiv="Refresh"> tag.
Comment 17 Manko 2002-11-26 00:06:02 PST
Created attachment 107453 [details]
Draft XSLT, v. 0.011

Fixed XSLT.
Comment 18 Manko 2002-11-26 01:12:08 PST
Created attachment 107460 [details]
Draft XSLT, v. 0.012

Fixed minor error in substring function at template for <card ontimer>.
<card ontimer="#label"> must have no redirection.
Comment 19 Marcel van Beurden 2002-11-26 06:09:30 PST
Is it possible to configure Mozilla to automatically use this stylesheet if it
comes across files of type text/vnd.wap.wml? Inserting <?xml-stylesheet
href="wml.xsl" type="text/xsl"?> is fine when you are creating your own WML but
it is not very helpfull if you are browsing the wireless web...

I guess it's not possible looking at bug 126841.
Comment 20 Manko 2002-11-26 06:42:43 PST
This XSLT yet can't add full functionality of WML, I only hope this might be a
groundwork for futher development. Visually all works kind of quite good, but
you cannot submit a forms. Any comments and test reports are greatly welcome.

I have a plans to write JavaScript for adding interactive abilities (such as
forms), but this isn't facile work. If someone has any idea about it or even can
help me in coding, I'll be grateful.

I have laid in my XSLT some things to facilitate development of interactivity,
such as <input type="hidden" name="{@iname}" value="{@ivalue}" /> in template
for <select>. May be, we need for more like this.
Comment 21 Manko 2002-11-29 01:32:50 PST
Created attachment 107751 [details]
wml.xsl v. 0.05. Draft XSL with necessary JS and CSS binded

Almost final work. All necessary JavaScript and CSS code are finished too. 

Submitting a form now works, wow!!!!!

About implementing this in Mozilla: we could use new great transformToDocument
method to dynamically transform WML document with this XSL.

I hope, so this bug might be near to be fixed.
Comment 22 Manko 2002-11-29 01:34:44 PST
Created attachment 107752 [details]
wml.js v. 0.05
Comment 23 Manko 2002-11-29 01:36:55 PST
Created attachment 107753 [details]
wml.css v. 0.05
Comment 24 Manko 2002-11-29 01:54:14 PST
Created attachment 107754 [details]
wml.xsl v. 0.051

Same as comment #18. substring(@ontimer,0,2)!='#' works fine, but
substring(@ontimer,1,2)!='#' no.
Comment 25 Jens Martin Schlatter 2002-11-29 01:59:53 PST
It is still necessary that mozilla recognizes the .wml extension and the mime-type!
Comment 26 Manko 2002-11-29 03:45:16 PST
Jens, this imho will not be a big problem ;)

2all:
Can anybody add suggestion keyword?
Comment 27 Manko 2002-12-05 01:36:06 PST
Created attachment 108342 [details]
wml.js v. 0.06

More correct work with selects having multiple="true" parameter.

Implemented recognition of variable name and, if multiple items are selected,
adding it values with proper names.
Comment 28 Manko 2002-12-05 01:37:45 PST
Created attachment 108343 [details]
wml.css v. 0.06

Polish.
Comment 29 Manko 2002-12-05 01:48:51 PST
Created attachment 108346 [details]
wml.xsl v. 0.06

1. Major: changes in <anchor> template for better WML forms emulation.
a) <setvar>s nested in <go> are removed in XSL output from <form> and placed
outside.
b) Excluding content of <go> from submit button.

2. Polish: emulating title attribute of <card> not as a tooltip, but as a
visible card caption.
Comment 30 Manko 2002-12-05 02:39:20 PST
Thanks to discussion with Arunan Balasubramaniam, contributor of bug 182621
(btw, it's very close to be fixed) I venture to express my consideration about
necessary further steps for this bug:

1. Make Mozilla aware about text/vnd.wap.wml and application/vnd.wap.wmlc
MIME-types.

2. Adding WML mime-types into "Accept:" field in Mozilla HTTP request headers 

3. Decompiling of WMLC files. Specification of encoding algorithm is available
at http://www.w3.org/TR/wbxml/

4. Putting my XSL, JS and CSS files in some directory of Mozilla installation.
Maybe, ./res directory is appropriate.

5. Generating user output. I guess using transformToDocument isn't the best
method. Simpler way might be following algorithm:
a) Browser gets WML or gets and decompiles WMLC.
b) Often WMLs contain useless line feeds before <?xml version="1.0"?> header. It
should be removed.
c) Browser adds string:
<?xml-stylesheet href="resource:///res/wml.xsl" type="text/xsl"?>
directly after <?xml?> header.
d) Browser displays resultant XML in browser window.

I'm not an expert in C++ coding, but I hope that work described above will be
not so hard ;)
Comment 31 Manko 2002-12-05 05:00:46 PST
Created attachment 108352 [details]
wml.xsl v. 0.061

Fixed trivial syntax mistake at line 207.

BTW, just now I have tested this XSLT on complicated pages comparing with Opera
6.05 and can say that my XSLT+JS send WML forms even more correctly than Opera.


Opera doesn't handle iname and ivalue parameters in <select> and completelly
misunderstands <select multiply="true">
Comment 32 Arunan Balasubramaniam 2002-12-05 05:08:27 PST
all.js has:

pref("network.http.accept.default",
"text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1");

So the WML types can probably be added there for testing at least (not tried
this  myself yet).  I know there have been a few bugs about shrinking this
header so proposing a change will not be popular.  Take a look at the
discussions in:

Bug 125682 - HTTP Accept Header should be dynamically generated
Bug 170789 -  HTTP Accept: header should be tailored to context of the request
Comment 33 Manko 2002-12-05 05:13:26 PST
Maybe, changes in Accept field aren't necessary. Opera doesn't point WAP
mimetypes in Accept field but it can read WML pages inspite of this.
Comment 34 Doron Rosenberg (IBM) 2002-12-05 10:31:09 PST
This is cool.  Could you add some indenting to the .xsl file to make it more
readable?

Also, you should assign this bug to yourself.
Comment 35 Manko 2002-12-06 00:43:32 PST
Doron, I'm neither a reporter nor a privileged user of Bugzilla so I can't
change "Assigned" field. You could help me to do this ;)

Indented XSL I'll have written soon - I would combine this with implementing
<do> tag.
Comment 36 Henrik Gemal 2002-12-06 01:46:02 PST
How do you test this? Do I need to download something or a special build?
Comment 37 Manko 2002-12-06 01:55:44 PST
Alas still nowise. I test it by this way: launching Opera, navigating WAP sites,
downloading WMLs in special directory on my local disk, manually adding
<?xml-stylesheet?> string. Local directory is mapped at my local webserver which
is set up to add "text/xml" HTTP header for *.wml files.
Comment 38 Manko 2002-12-06 07:19:50 PST
Created attachment 108490 [details]
wml.css v. 0.07

Added styles for navigation buttons
Comment 39 Manko 2002-12-06 07:23:01 PST
Created attachment 108491 [details]
wml.js v. 0.07

Added: nsWMLresetForms function to implement reset button functionality.
Fixed: nsWMLcheckForm function now works better with GET forms
Comment 40 Manko 2002-12-06 07:25:22 PST
Created attachment 108492 [details]
wml.xsl v. 0.07

Added: full support of <do> tag (navigation buttons).
Fixed: pretty-print look with indents.
Comment 41 Manko 2002-12-06 07:42:11 PST
Created attachment 108493 [details]
wml.xsl v. 0.071

Fixed: incorrect support of refresh button.
Comment 42 Manko 2002-12-06 08:06:09 PST
Now implemented full functionality of <do> tag, including accept, help, prev,
reset, refresh, options and delete buttons. Reset now resets all form elements,
refresh reloads page, etc.

Buttons have a small pictograms at left side. Screenshot will be uploaded soon.

Improved support of GET and POST forms.

Hurray! :)
Comment 43 Manko 2002-12-06 08:09:55 PST
Created attachment 108495 [details]
Screenshot with buttons

It seems to me this looks agreeably :)
Compare with Opera ;)
Comment 44 Christian :Biesinger (don't email me, ping me on IRC) 2002-12-07 06:51:19 PST
if you want to get this in, you need reviews. no idea who is appropriate for
that, though.
Comment 45 Manko 2002-12-09 00:09:16 PST
Christian, besides my files we need some C++ code, as described in comment 30.
Comment 46 Manko 2002-12-09 00:27:09 PST
Created attachment 108720 [details]
Screeshot from Tinderbox WML page.

At the instance of timeless I post a screenshot of Tinderbox from URL:
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey&wml=1

WML from this URL was be downloaded and prepared as described in comment 37.
BTW, <?xml?> declaration in this WML was be omitted, it will be added by me
manually.
Comment 47 Arunan Balasubramaniam 2002-12-31 02:37:25 PST
Mozillazine independent status reports show a WML mozdev project:

  http://www.mozillazine.org/articles/article2778.html
  http://wmlbrowser.mozdev.org/

I have sent an email to the list with this bug URL.
Comment 48 Matthew Wilson 2002-12-31 02:49:34 PST
I am updating the wmlbrowser project at mozdev to use these XSLT files instead
of XBL.
Comment 49 Arunan Balasubramaniam 2003-01-23 06:20:12 PST
If any new files were added to the tree, where would they go?  I am guessing
extensions/wml.

If patches were made against existing files, should they be under build/compile
flags such as --enable-wml and MOZ_WML?
Comment 50 Manko 2003-02-20 00:40:03 PST
I think importance of this bug is more than simple WML support. I guess that
fixing this bug we can implement general mechanism to show in Mozilla any
widespread XML document formats such as DocBook, OpenOffice.org etc. by using
XSLT and transforming to XHTML.

So, changing priority and adding helpwanted keyword.

Maybe we need to open new bug for "Implement general module to show widespread
XML document formats"?

Any considerations and suggestions are welcome.
Comment 51 Jens Martin Schlatter 2003-02-21 00:31:24 PST
It's a good idea to make this more general. We should collect some XML formats
besides WML we want to cover. (How about cHTML?)

It would be necessary to have a mime table which tells a) to display that mime
type in browser rather than downloading it and b) associates a stylesheet with
the mime type.
Comment 52 Arunan Balasubramaniam 2003-02-21 02:42:10 PST
> It's a good idea to make this more general.

It's not a good idea to make this particular bug more general as the policy is
one issue per bug report, but you may want to make a list and search Bugzilla to
see if there are any RFEs on the other XML formats/markups you suggest.

You could then check if there was a meta bug for them all which had them as
dependencies, and if not create it.

Not trying to sound harsh, just pointing out The Bugzilla Way :)
Comment 53 Manko 2003-02-21 03:02:21 PST
Okay, you're absolutely right. I have opened bug 194351 for this issue.
Comment 54 Arunan Balasubramaniam 2003-04-07 08:15:26 PDT
In light of the new Mozilla road map, I would suggest that this bug and bug
182621 (WBMP decoder) are closed as they will not be core parts of any Phoenix
build and all the effort made already be consolidated in the "wmlbrowser"
project at Mozdev as a Phoenix extension.

This is only a suggestion as this isn't my bug and "wmlbrowser" isn't my
project.  Manko, Matthew, what do you think?
Comment 55 Manko 2003-04-07 08:33:40 PDT
I can't agree. That is my thesises:

1. Mozilla/Phoenix will be not only HTML, but also XML browser. Importance of
XML abilities will only rise for the future. Maybe this XSLT will be an
additional package, but bug 194351 should be implemented in main trunk. See bug
194351 comment 7.

2. Bug 182621 is unrelated to new roadmap. This is only an issue about one of
several image formats and I would see it in main trunk.
Comment 56 Arunan Balasubramaniam 2003-04-07 09:09:40 PDT
 > Maybe this XSLT will be an additional package

That's all I was proposing, 194351 seems a good idea to allow Moz to be a
generic XML content viewer.

> Bug 182621 is unrelated to new roadmap.

The roadmap points out that Phoenix will support the majority needs and features
for niches and power users will be left as extensions.

I think that very few Moz users want to view WBMP images at present, so it
seemed logical to just bundle that decoder with WML support rather than try to
add it to the trunk.  Other more popular decoders may be taken out (e.g. MNG,
apparently used in the far east) so the chances of WBMP going in to the trunk
look slim, which I think is understandable given it's minority appeal.

This isn't some sort of troll :)  I think WML support would be cool and would
like to see (and help get) it done.
Comment 57 Arunan Balasubramaniam 2003-04-07 09:16:32 PDT
I hate my mouse.
Comment 58 Manko 2003-04-07 09:31:23 PDT
Arunan, unfortunately image decoders AFAIK are a pieces of binary code which
should be compiled jointly with all Mozilla code and cannot be added separately
by XPI package.
Comment 59 Doron Rosenberg (IBM) 2003-04-07 11:15:44 PDT
We should have an impl of wml, even if it does end up as an extension (if we did
it in XBL it would be easier :)

It really shouldn't be on by default as a desktop user doesn't need wml - but
what about embedded devices/etc? We do want to conquer those :)
Comment 60 Manko 2003-04-08 07:13:27 PDT
Doron, if we have bug 194351 fixed we don't need XBL for WML. We can write (or
even get from developers) an XSLT for any desired XML format.

I guess this would be very common and powerful opportunity.
Comment 61 Doron Rosenberg (IBM) 2003-04-08 11:23:51 PDT
I still don't believe that xslt is the right way to do it.
Comment 62 Robert Accettura [:raccettura] 2003-07-07 19:02:19 PDT
Note:  wmlbrowser is broke in Moz 1.4.  For whomever might be out there looking
for something cool to do with their saturday evening.
Comment 63 Matthew Wilson 2003-07-08 04:39:48 PDT
Thanks. Failure on Mozilla 1.4 is logged as
http://mozdev.org/bugs/show_bug.cgi?id=4011.

I will put proper bug reporting links onto wmlbrowser.mozdev.org so that issues
can be reported directly.
Comment 64 Manko 2003-12-04 05:01:20 PST
Created attachment 136786 [details]
wml.xsl v. 0.072

Fixed:
1. XSL substring function uses 1 for first character;
2. Use <xsl:copy /> for coincident attributes in WML and XHTML tags.

Added:
Support of "accesskey" attribute in links and form elements.
Comment 65 Manko 2003-12-04 05:05:37 PST
Created attachment 136787 [details]
wml.css v. 0.072

Added:
Support for acceskey attribute. It appears as highligted digit in circle before
corresponding element.
Comment 66 Matthew Wilson 2003-12-05 23:53:51 PST
The above attachments are now incorporated into version 0.4.1 of the wmlbrowser
XPI at http://wmlbrowser.mozdev.org/
Comment 67 Matthias Versen [:Matti] 2004-11-14 09:11:51 PST
*** Bug 269681 has been marked as a duplicate of this bug. ***
Comment 68 Robin Monks 2005-04-06 08:45:38 PDT
Moving to Core:XML...
Comment 69 Henrik Gemal 2005-04-06 13:15:47 PDT
shouldn't this just be available as an extension?
is anybody seriously using wml anymore?
let's not bloat the code anymore
Comment 70 Matthew Wilson 2005-04-06 14:02:49 PDT
So should this be WONTFIXED?
Comment 71 Henrik Gemal 2005-04-06 22:53:43 PDT
In my opinion this should be WONTFIX and clearly stated that this is available
as an extension for the users who want it.
Comment 72 Adam Hauner 2005-04-06 23:09:57 PDT
Maybe MiniMo guys should be interested.
Comment 73 Jens Martin Schlatter 2005-04-06 23:11:48 PDT
WML is the base for the WAP service which delivers internet content to the GSM
mobile phone. This service is rapidly growing in europe.
Comment 74 Henrik Gemal 2005-04-06 23:27:40 PDT
I dont quite agree. Most moderns phones now comes with a browser than reads
XHTML. WAP and WML is not the future.
Comment 75 Dripple 2005-04-07 01:07:31 PDT
(In reply to comment #74)
> I dont quite agree. Most moderns phones now comes with a browser than reads
> XHTML. WAP and WML is not the future.

Certainely not the future, but the present indeed. 
I use it on a daily basis, and, as a developper, I would be really happy to get
rid of Opera (taht renders WML like a charm...)
Comment 76 Henrik Gemal 2005-04-07 01:24:33 PDT
(In reply to comment #75)
> (In reply to comment #74)
> > I dont quite agree. Most moderns phones now comes with a browser than reads
> > XHTML. WAP and WML is not the future.
> 
> Certainely not the future, but the present indeed. 
> I use it on a daily basis, and, as a developper, I would be really happy to get
> rid of Opera (taht renders WML like a charm...)

which clearly explains why this should be WONTFIX
Comment 77 Dripple 2005-04-07 02:46:01 PDT
(In reply to comment #76)
> (In reply to comment #75)
> > (In reply to comment #74)
> > > I dont quite agree. Most moderns phones now comes with a browser than reads
> > > XHTML. WAP and WML is not the future.
> > 
> > Certainely not the future, but the present indeed. 
> > I use it on a daily basis, and, as a developper, I would be really happy to get
> > rid of Opera (taht renders WML like a charm...)
> 
> which clearly explains why this should be WONTFIX
> 


Well, I do not agree. Anyone can tell me when WML browsers will disappear ? I
don't think they will before years and years. So WML is present and near
future... And this bug should be fixed... I just hope we do not want tools for
the future but for the present...

I heard somewhere that in the future HTML will disappear...
Comment 78 Matthew Wilson 2005-04-07 03:34:52 PDT
There is no need for this functionality to be in the core browser, the vast
majority of Firefox or suite users have no need for it. So it should continue to
exist as an extension, IMO.
Comment 79 Dripple 2005-04-07 05:06:10 PDT
(In reply to comment #78)
> There is no need for this functionality to be in the core browser, the vast
> majority of Firefox or suite users have no need for it. So it should continue to
> exist as an extension, IMO.

Agree with this...
Comment 80 Manko 2006-01-10 23:40:40 PST
Maybe, but if bug 194351 will be fixed, we'll have a better way to write any extension. Many people take interest in Oasis ODF, DocBook, MS Office XML Open Format etc., and I guess bug 194351 is what all we need.
Comment 81 steg 2006-07-15 19:49:44 PDT
(In reply to comment #78)
> There is no need for this functionality to be in the core browser, the vast
> majority of Firefox or suite users have no need for it. So it should continue to
> exist as an extension, IMO.

I use the extension and I think it's pretty useful, but I'd rather see this functionality in the core browser. Many people already thanked me in fr.* newsgroups because I helped them discover it, I mean, if it was available as a built-in feature, I'm convinced much more people would use it. 
As a bundled extension (see Chatzilla with SeaMonkey , never understood why Firefox doesn't have it), or in the core, but it should be there.

WML too old? Have a look at Bug 118438, which corrects the gopher support... 
Bleating the code? Given the size of the wmlbrowser extension (57 Kb with a few language packs), that seems managable to me, although my coding skills are non existant (all I do is some translations for extensions).

"Minor" functions, added together, end up as a difference with competing browsers. The humble opinion of a simple end user is that this bug shouldn't be WONTFIXed. 
Comment 82 Manko 2010-05-07 03:45:20 PDT
WML sites are disappearing, the majority of them pass to XHTML Mobile Profile. But bug 194351 still is topical.
Comment 83 Krasnaya Ploshchad 2015-06-08 11:18:35 PDT
(In reply to Manko from comment #82)
> WML sites are disappearing, the majority of them pass to XHTML Mobile
> Profile. But bug 194351 still is topical.

I don't think so, because there is still existing WML site, such as:
http://wap.rusnews.cn/

Some PRC's internet portal also providing WML pages until today. This page have collected some PRC websites, some of them can be access via WML format:
http://123.pctowap.com/
Comment 84 Krasnaya Ploshchad 2015-06-08 11:20:28 PDT
(In reply to Krasnaya Ploshchad from comment #83)
> (In reply to Manko from comment #82)
> > WML sites are disappearing, the majority of them pass to XHTML Mobile
> > Profile. But bug 194351 still is topical.
> 
> I don't think so, because there is still existing WML site, such as:
> http://wap.rusnews.cn/
> 
> Some PRC's internet portal also providing WML pages until today. This page
> have collected some PRC websites, some of them can be access via WML format:
> http://123.pctowap.com/

You can also find them via this page:
http://123.pctowap.com/wap/

Note You need to log in before you can comment on or make changes to this bug.